diff core/findutils/findutils.sh @ 118:a2f33cc10594

core/findutils: initial import, closes #1024
author David Demelier <markand@malikania.fr>
date Sun, 10 Mar 2019 09:57:32 +0100
parents
children e737b80da269
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/core/findutils/findutils.sh	Sun Mar 10 09:57:32 2019 +0100
@@ -0,0 +1,51 @@
+#!/bin/sh
+#
+# Copyright (c) 2019 David Demelier <markand@malikania.fr>
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+
+: ${CHOST:=$(uname -m)-linux-musl}
+: ${CBUILD:=$(uname -m)-linux-musl}
+: ${CC:=gcc}
+: ${CFLAGS:=-O2}
+: ${NLS:=yes}
+
+source ./findutils.info
+
+set -ex
+
+if [ "$NLS" = "yes" ]; then
+	with_nls="--enable-nls"
+else
+	with_nls="--disable-nls"
+fi
+
+rm -rf $PKGNAME-$PKGVERSION
+tar xvaf $PKGNAME-$PKGVERSION.tar.gz
+pushd $PKGNAME-$PKGVERSION
+
+CC="$CC" \
+CFLAGS="$CFLAGS" \
+./configure \
+	--build=$CBUILD \
+	--host=$CHOST \
+	--target=$CTARGET \
+	--prefix=/usr \
+	--without-selinux \
+	${with_nls}
+make
+make install DESTDIR=$DESTDIR
+
+popd
+rm -rf $PKGNAME-$PKGVERSION